Bug Hunting Session
Bug 42434 - 'mirror horizontally' and 'mirror vertically' icons look inverted
Summary: 'mirror horizontally' and 'mirror vertically' icons look inverted
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: x86-64 (AMD64) All
: medium trivial
Assignee: Ivan Timofeev (retired)
URL:
Whiteboard: target:4.2.0 target:4.1.2
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-31 07:40 UTC by philip_hoflack
Modified: 2013-09-02 11:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
What happens when you press these buttons (126.23 KB, image/png)
2011-10-31 07:40 UTC, philip_hoflack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description philip_hoflack 2011-10-31 07:40:46 UTC
Created attachment 52953 [details]
What happens when you press these buttons

In the images toolbar the icons on the buttons for 'mirror horizontally' and 'mirror vertically' are inverted (or they are VERY counter-intuitive).

The axis might be shown by a dashed line, but certainly not by an arrow as it is now.
Comment 1 Christopher Yeleighton 2012-03-25 11:57:17 UTC
The icons in LO 3.4.2 are unintuitive too.  They resemble a blue zipper, one horizontal and one vertical.
Comment 2 sasha.libreoffice 2012-04-19 00:34:31 UTC
Reproducible in 3.5.2 on Fedora 64 bit. Arrows on icons indicate in wrong direction. Not big problem, though. 

Workaround: right click toolbar, Customize toolbar, select needed icon -> Modify -> Change icon
Comment 3 tommy27 2013-08-31 19:42:23 UTC
still here in LibO 4.1.1 final release under Win7 64bit
the 'mirror horizontally' and 'mirror vertically' look inverted to me too.
changed summary notes and adding UI experts to CC list.
Comment 4 Commit Notification 2013-09-01 10:47:20 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07aefbe310cad43bf9a71ba073486cddd7e062f2

fdo#42434: swap flipvertical and fliphorizontal icons in some themes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-09-01 12:00:03 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cbe753186c9c0ea437a9bcc6dc64c63082ba37b&h=libreoffice-4-1

fdo#42434: swap flipvertical and fliphorizontal icons in some themes


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-09-01 12:00:22 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=178d86a99820c5e0b9ca668c49300d468ab70e10&h=libreoffice-4-0

fdo#42434: swap flipvertical and fliphorizontal icons in some themes


It will be available in LibreOffice 4.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Ivan Timofeev (retired) 2013-09-01 12:25:18 UTC
(In reply to comment #6)
> Ivan Timofeev committed a patch related to this issue.
> It has been pushed to "libreoffice-4-0":

It seems in 4-0 the labels ("Flip Horizontally" and "Flip Vertically") were swapped as well (?). And we have to revert this for 4-0 (?). I doubt my sanity now. grrr... 

I will build the libreoffice-4-0 branch to be sure.
Comment 8 Commit Notification 2013-09-01 19:21:37 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=addd1a6a9b0f4e21648ddbafeb2ffd6c324aa2e1&h=libreoffice-4-0

Revert "fdo#42434: swap flipvertical and fliphorizontal icons in some themes"


It will be available in LibreOffice 4.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Ivan Timofeev (retired) 2013-09-02 11:05:28 UTC
No need to fix 4-0, it somehow works fine for me, so I reverted the fix there. Closing again.